<?php
/*
<fusedoc fuse="fbx_Switch.php">
	<responsibilities>
		I am the switch statement that handles the fuseaction, delegating work to various fuses.
	</responsibilities>
	<io>
		<in>
			<string name="$Fusebox['fuseaction']" />
			<string name="$Fusebox['circuit']" />
		</in>
	</io>	
</fusedoc>
*/



switch($Fusebox["fuseaction"]) 
	{
	case "main":
	case "Fusebox.defaultFuseaction":
		include ("act_checkdb.php");
		include ("qry_mywindows.php");
		include ("dsp_mywindows.php");
		break;

	case "other":
		include ("qry_otheralerts.php");
		break;

		
	case "action":
		include ("act_action.php");
		break;
		
		
		
	case "sigzoom":
		include ("qry_sigzoom.php");
		break;
		
		
	case "scope":
		include ("act_scope.php");
		break;
		

	case "sigsum":
		include ("qry_sig_summary.php");
		//include ("qry_sig_recon.php");
		include ("dsp_home.php");
		break;
		
		
	case "sigcat":
		include ("qry_sigcat.php");
		break;
		
		
	case "search":
		include ("qry_search.php");
		break;
		
		
	default:
		print "I received a fuseaction called <b>'" . $Fusebox["fuseaction"] . "'</b> that circuit <b>'" . $Fusebox["circuit"] . "'</b> does not have a handler for.";
		break;
		
		
		
	}

?>